<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

if (stristr(htmlentities($_SERVER['PHP_SELF']), "inc_tpl.php")) {
	die("<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Error:</b> This file cannot be opened directly!</td></tr></table>");
}

function tpl_admin_head() {
	global $siteConfig,$page,$op;
	
	if (file_exists("admin/inc/menulang/".$siteConfig['language'].".php")) {
		include_once("admin/inc/menulang/".$siteConfig['language'].".php");
	} else {
		include_once("admin/inc/menulang/english.php");
	}
	
	?>
	<!-- Menu -->
	<script type="text/javascript" src="admin/inc/jquery.dimensions.js"></script>
	<script type="text/javascript" src="admin/inc/jquery.positionBy.js"></script>
	<script type="text/javascript" src="admin/inc/jquery.bgiframe.js"></script>
	<script type="text/javascript" src="admin/inc/jquery.jdMenu.js"></script>
	<link rel="stylesheet" href="admin/inc/jquery.jdMenu.css" type="text/css">
	<script type="text/javascript">
		$(function(){
			$('ul.jd_menu').jdMenu();
		});
	</script>
	
	<div class="tpl_admin_head_1"><img src="admin/images/tpl/tpl_head_logo.png" border="0" alt="MemHT Portal"></div>
	<div class="tpl_admin_head_2">
		<ul class="jd_menu">
			<li class="accessible top">
				<?php echo _AM_GENERAL_ ; ?>
				<ul class="sub">
					<li><img src="admin/icons/home.png" border="0" align="top">&nbsp;&nbsp;<a href="index.php"><?php echo _AM_SITE_HOME_ ; ?></a></li>
					<li><img src="admin/icons/config.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php"><?php echo _AM_ADMIN_MAIN_ ; ?></a></li>
					<li><img src="admin/icons/logout.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?logout=1"><?php echo _AM_LOGOUT_ ; ?></a></li>
				</ul>
			</li>
			<li class="accessible top">
				<?php echo _AM_SYSTEM_ ; ?>
				<ul class="sub">
					<li><img src="admin/icons/pages.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=addons"><?php echo _AM_ADDONS_ ; ?></a></li>
					<li><img src="admin/icons/list.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=administrators"><?php echo _AM_ADMINISTRATORS_ ; ?></a></li>
					<li><img src="admin/icons/rss.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=aggregator"><?php echo _AM_AGGREGATOR_ ; ?></a></li>
					<li><img src="admin/icons/folder.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=arguments"><?php echo _AM_ARGUMENTS_ ; ?></a></li>
					<li><img src="admin/icons/banners.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=banners"><?php echo _AM_BANNERS_ ; ?></a></li>
					<li><img src="admin/icons/blocks.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=blocks"><?php echo _AM_BLOCKS_ ; ?></a></li>
					<li><img src="admin/icons/notes.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=configuration&op=censorList"><?php echo _AM_CENSOR_LIST_ ; ?></a></li>
					<li><img src="admin/icons/administrators.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=comments"><?php echo _AM_COMMENTS_ ; ?></a></li>
					<li><img src="admin/icons/config.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=configuration"><?php echo _AM_CONFIGURATION_ ; ?></a></li>
					<li><img src="admin/icons/database.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=database"><?php echo _AM_DATABASE_ ; ?></a></li>
					<li><img src="admin/icons/users.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=groups"><?php echo _AM_GROUPS_ ; ?></a></li>
					<li><img src="admin/icons/messages.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=messages"><?php echo _AM_MESSAGES_ ; ?></a></li>
					<li><img src="admin/icons/range.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=navigator"><?php echo _AM_NAVIGATOR_ ; ?></a></li>
					<li><img src="admin/icons/newsletter.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=newsletter"><?php echo _AM_NEWSLETTER_ ; ?></a></li>
					<li><img src="admin/icons/users.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=users"><?php echo _AM_USERS_ ; ?></a></li>
				</ul>
			</li>
			<li class="accessible top">
				<?php echo _AM_CONTENT_ ; ?>
				<ul class="sub">
					<li><img src="admin/icons/messagebox.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=languages"><?php echo _AM_CONTENT_LANGUAGES_ ; ?></a></li>
					<li><img src="admin/icons/list.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=articles"><?php echo _AM_ARTICLES_ ; ?></a></li>
					<li><img src="admin/icons/news.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=blog"><?php echo _AM_BLOG_ ; ?></a></li>
					<li><img src="admin/icons/download.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=download"><?php echo _AM_DOWNLOADS_ ; ?></a></li>
					<li><img src="admin/icons/list.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=faq"><?php echo _AM_FAQ_ ; ?></a></li>
					<li><img src="admin/icons/forum.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=forum"><?php echo _AM_FORUMS_ ; ?></a></li>
					<li><img src="admin/icons/gallery.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=gallery"><?php echo _AM_GALLERY_ ; ?></a></li>
					<li><img src="admin/icons/book.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=guide"><?php echo _AM_GUIDES_ ; ?></a></li>
					<li><img src="admin/icons/update.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=mylinks"><?php echo _AM_MYLINKS_ ; ?></a></li>
					<li><img src="admin/icons/mypage.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=mypage"><?php echo _AM_MYPAGES_ ; ?></a></li>
					<li><img src="admin/icons/news.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=news"><?php echo _AM_NEWS_ ; ?></a></li>
					<li><img src="admin/icons/surveys.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=surveys"><?php echo _AM_SURVEYS_ ; ?></a></li>
				</ul>
			</li>
			<li class="accessible top">
				<?php echo _AM_INSTALLED_ADDONS_ ; ?>
				<ul class="sub">
					<?php require_once("admin/inc/inc_blocks_nav.php"); ?>
				</ul>
			</li>
			<li class="accessible top">
				<?php echo _AM_SECURITY_ ; ?>
				<ul class="sub">
					<li><img src="admin/icons/security.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=security"><?php echo _AM_SHOW_BANNED_ ; ?></a></li>
					<li><img src="admin/icons/security_add.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=security&op=banip"><?php echo _AM_BAN_IP_ ; ?></a></li>
					<li><img src="admin/icons/table.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=security&op=iptrack"><?php echo _AM_TRACKED_IPS_ ; ?></a></li>
					<li><img src="admin/icons/search.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=security&op=findip"><?php echo _AM_FIND_IP_ ; ?></a></li>
				</ul>
			</li>
			<li class="accessible top">
				<?php echo _AM_STATISTICS_ ; ?>
				<ul class="sub">
					<li><img src="admin/icons/stat.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=statistics"><?php echo _AM_STATISTICS_ ; ?></a></li>
					<li><img src="admin/icons/users_red.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=statistics&op=ignore"><?php echo _AM_IGNORE_ ; ?></a></li>
					<li><img src="admin/icons/range.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=statistics&op=spiderRanges"><?php echo _AM_SPIDER_IP_RANGES_ ; ?></a></li>
				</ul>
			</li>
			<li class="accessible top">
				<?php echo _AM_HELP_ ; ?>
				<ul class="sub">
					<li><img src="admin/icons/home.png" border="0" align="top">&nbsp;&nbsp;<a href="http://www.memht.com" target="_blank">MemHT Portal</a></li>
					<li><img src="admin/icons/category.png" border="0" align="top">&nbsp;&nbsp;<a href="http://memht.com/wiki" target="_blank">Wiki</a></li>
					<li><img src="admin/icons/list.png" border="0" align="top">&nbsp;&nbsp;<a href="http://www.memht.com/faq.html" target="_blank"><?php echo _AM_FAQ_ ; ?></a></li>
					<li><img src="admin/icons/book.png" border="0" align="top">&nbsp;&nbsp;<a href="http://www.memht.com/forum.html" target="_blank"><?php echo _AM_FORUMS_ ; ?></a></li>
					<li><img src="admin/icons/mylinks.png" border="0" align="top">&nbsp;&nbsp;<a href="admin.php?page=configuration&op=newVersion"><?php echo _AM_CHECK_FOR_UPDATES_ ; ?></a></li>
				</ul>
			</li>
		</ul>
	</div>
	<table width='912' border='0' align='center' cellpadding='0' cellspacing='0' class='tpl_admin_container'>
	  <tr>
		<td valign='top' class='tpl_admin_main'>
		 <?php
}

function tpl_admin_foot() {
		?>
		</td>
	  </tr>
	</table>
	<?php
}

function admin_page_title($page) {
	//Clean string and capitolize first letter
	$npage = ucfirst(str_replace("_"," ",$page));
	
	echo "<div class='tpl_admin_page_title'><a href='admin.php?page=$page' title='$npage'><b>$npage</b></a></div>\n";
	echo "<div class='tpl_admin_underlined'></div>";
}

//=====================================================================
//Other
//=====================================================================
function openTable($title="") {
	echo "<div class='tpl_admin_table'>";
	if ($title!="") {
		echo "<div class='tpl_admin_page_title'>&nbsp;$title</div>\n";
	}
}

function closeTable() {
	global $siteConfig;
	
	echo "</div>";
}
			
?>