-- ================================================================
-- MemHT Portal -

-- Copyright (C) 2007-2008 by Miltenovik Manojlo
-- http://www.memht.com

-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your opinion) any later version.

-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-- GNU General Public License for more details.

-- You should have received a copy of the GNU General Public License along
-- with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
-- or write to the Free Software Foundation, Inc., 51 Franklin Street,
-- Fifth Floor, Boston, MA02110-1301, USA.
-- ================================================================
-- Blog Simple Data
-- ================================================================

-- 
-- Dump dei dati per la tabella `memht_admin_notes`
-- 

INSERT INTO `memht_admin_notes` (`id`, `cat`, `nome`, `testo`, `autore`, `data`) VALUES 
(1, 1, 'Tomorrow i have to...', 'write an article', 'admin', '2007-10-23 12:00:00');

-- 
-- Dump dei dati per la tabella `memht_admin_notes_cat`
-- 

INSERT INTO `memht_admin_notes_cat` (`id`, `nome`) VALUES 
(1, 'To Do');

-- 
-- Dump dei dati per la tabella `memht_argomenti`
-- 

INSERT INTO `memht_argomenti` (`id`, `nome`, `img`) VALUES 
(1, 'MemHT Portal', 'memht'),
(2, 'PHP', 'php'),
(3, 'CSS', 'css'),
(4, 'Fix', 'fix'),
(5, 'News', 'news'),
(6, 'Add-ons', 'addons'),
(7, 'Blocks', 'blocks'),
(8, 'Templates', 'templates'),
(9, 'Code', 'code'),
(10, 'Guide', 'guide'),
(11, 'Javascript', 'javascript'),
(12, 'Security', 'security');

-- 
-- Dump dei dati per la tabella `memht_banners_posizioni`
-- 

INSERT INTO `memht_banners_posizioni` (`id`, `nome`) VALUES 
(1, 'Header'),
(2, 'Footer'),
(3, 'Left side blocks'),
(4, 'Right side blocks'),
(5, 'Guide page');

-- 
-- Dump dei dati per la tabella `memht_blocks`
-- 

INSERT INTO `memht_blocks` (`id`, `titolo`, `titolo_on`, `tipo`, `zona`, `posizione`, `nomefile`, `contenuto`, `rank`, `enabled`) VALUES 
(1, 'Navigator', 1, 0, 0, 1, 'navigator', '', 0, 1),
(2, 'User Block', 1, 0, 0, 2, 'users', '', 0, 1),
(3, 'Language', 1, 0, 1, 7, 'language', '', 0, 1),
(4, 'Tags', 1, 0, 1, 1, 'tags', '', 0, 1),
(5, 'Categories', 1, 0, 1, 0, 'blog_categories', '', 0, 1),
(6, 'Survey', 1, 0, 1, 4, 'surveys', '', 0, 1),
(7, 'My Pages', 1, 0, 1, 6, 'mypage', '', 0, 1),
(8, 'Archive', 1, 0, 1, 3, 'archive_blog', '', 0, 1);

-- 
-- Dump dei dati per la tabella `memht_blog_categories`
-- 

INSERT INTO `memht_blog_categories` (`id`, `name`) VALUES 
(1, 'MemHT Portal'),
(2, 'PHP'),
(3, 'Tecnology'),
(4, 'News');

-- 
-- Dump dei dati per la tabella `memht_blog_posts`
-- 

INSERT INTO `memht_blog_posts` (`id`, `category`, `title`, `home_text`, `full_text`, `author`, `date`, `hits`, `usecomments`, `enabled`) VALUES 
(1, 1, 'Example blog post', '&lt;b&gt;Nel mezzo del cammin&lt;/b&gt; di nostra vita mi &lt;i&gt;ritrovai per una selva oscura&lt;/i&gt;, ch&amp;eacute; la diritta via era smarrita. Ah quanto a dir qual era &amp;egrave; cosa dura, esta selva selvaggia e aspra e forte, che nel pensier rinnova la paura! Tant&amp;rsquo;&amp;egrave; amara che poco &amp;egrave; pi&amp;ugrave; morte; ma per trattar del ben ch&amp;rsquo;i&amp;rsquo; vi trovai dir&amp;ograve; de l&amp;rsquo;altre cose ch&amp;rsquo;i&amp;rsquo; v&amp;rsquo;ho scorte', 'Nel mezzo del cammin di nostra vita mi ritrovai per una selva oscura, ch&amp;eacute; la diritta via era smarrita. Ah quanto a dir qual era &amp;egrave; cosa dura, esta selva selvaggia e aspra e forte, che nel pensier rinnova la paura! Tant&amp;rsquo;&amp;egrave; amara che poco &amp;egrave; pi&amp;ugrave; morte; ma per trattar del ben ch&amp;rsquo;i&amp;rsquo; vi trovai dir&amp;ograve; de l&amp;rsquo;altre cose ch&amp;rsquo;i&amp;rsquo; v&amp;rsquo;ho scorte&lt;br /&gt;\r\n&lt;br /&gt;\r\nNel mezzo del cammin di nostra vita mi ritrovai per una selva oscura, ch&amp;eacute; la diritta via era smarrita. Ah quanto a dir qual era &amp;egrave; cosa dura, esta selva selvaggia e aspra e forte, che nel pensier rinnova la paura! Tant&amp;rsquo;&amp;egrave; amara che poco &amp;egrave; pi&amp;ugrave; morte; ma per trattar del ben ch&amp;rsquo;i&amp;rsquo; vi trovai dir&amp;ograve; de l&amp;rsquo;altre cose ch&amp;rsquo;i&amp;rsquo; v&amp;rsquo;ho scorte', 'root', '2008-01-05 16:37:32', 11, 1, 1);

-- 
-- Dump dei dati per la tabella `memht_comments`
-- 

INSERT INTO `memht_comments` (`id`, `whr`, `wid`, `name`, `email`, `text`, `guest`, `date`, `ip`, `moderate`) VALUES 
(1, 5, 1, 'admin', 'test@localhost.com', 'This is an example comment', 0, '2008-01-05 13:00:00', '127.0.0.1', 0);

-- 
-- Dump dei dati per la tabella `memht_faq`
-- 

INSERT INTO `memht_faq` (`id`, `argomento`, `domanda`, `risposta`, `enabled`) VALUES 
(1, 1, 'What is a CMS?', 'A &lt;strong&gt;content management system&lt;/strong&gt; (&lt;strong&gt;CMS&lt;/strong&gt;) is a computer software system used to assist its users in the process of content management. CMS facilitates the organization, control, and publication of a large body of documents and other content, such as images and multimedia resources. A CMS often facilitates the collaborative creation of documents. A web content management system is a content management system with additional features to ease the tasks required to publish web content to Web sites.&lt;br /&gt;&lt;br /&gt;&lt;em&gt;Wikipedia&lt;/em&gt;', 1);

-- 
-- Dump dei dati per la tabella `memht_faq_categorie`
-- 

INSERT INTO `memht_faq_categorie` (`id`, `nome`) VALUES 
(1, 'Content Management System');

-- 
-- Dump dei dati per la tabella `memht_forum_categories`
-- 

INSERT INTO `memht_forum_categories` (`id`, `name`, `description`, `position`) VALUES 
(1, 'General', '', 1);

-- 
-- Dump dei dati per la tabella `memht_forum_forums`
-- 

INSERT INTO `memht_forum_forums` (`id`, `category`, `name`, `description`, `position`, `auth_view`, `auth_read`, `auth_write`, `auth_delete`, `status`) VALUES 
(1, 1, 'Off-Topic Discussions', 'Just talking', 1, 0, 0, 1, 2, 1);

-- 
-- Dump dei dati per la tabella `memht_forum_posts`
-- 

INSERT INTO `memht_forum_posts` (`id`, `parent`, `lastchild`, `forum`, `name`, `text`, `author`, `email`, `guest`, `date`, `edited`, `reason`, `attachment`, `attachmentmime`, `ip`, `hits`, `smiles`, `status`, `flag`) VALUES 
(2, 0, 2, 1, 'Example thread', 'Hi everyone :):hi:', 'admin', '', 0, '2007-10-23 12:00:00', '0000-00-00 00:00:00', '', '', '', '127.0.0.1', 1, 1, 1, 0);

-- 
-- Dump dei dati per la tabella `memht_forum_titles`
-- 

INSERT INTO `memht_forum_titles` (`min`, `max`, `title`) VALUES 
(0, 10, 'Just arrived'),
(11, 100, 'Junior Member'),
(101, 500, 'Senior Member'),
(501, 1000, 'Exalted Member'),
(1001, 1000000, 'Crazy Member');

-- 
-- Dump dei dati per la tabella `memht_messagebox`
-- 

INSERT INTO `memht_messagebox` (`id`, `autore`, `data`, `testo`, `ip`, `guest`) VALUES 
(2, 'admin', '2007-10-23 12:00:00', 'Hi people :):hi:', '127.0.0.1', 0);

-- 
-- Dump dei dati per la tabella `memht_messaggi`
-- 

INSERT INTO `memht_messaggi` (`id`, `nome`, `testo`, `autore`, `data`, `rank`, `enabled`) VALUES 
(1, 'Welcome to MemHT Portal', '&lt;strong&gt;You have installed your copy fo &lt;a href=&quot;http://www.memht.com&quot;&gt;MemHT Portal&lt;/a&gt; successfully!&lt;br /&gt;\r\n&lt;/strong&gt;&lt;br /&gt;\r\nIf you found the installation wizard too hard, please let us know.&lt;br /&gt;\r\n&lt;br /&gt;\r\nNow you&#039;ll be able to customize the portal as you want, install new addons, blocks, templates, change the structure and so on.&lt;br /&gt;\r\nTo do it, you have to login as administrator: click &lt;a href=&quot;admin.php&quot;&gt;&lt;em&gt;here&lt;/em&gt;&lt;/a&gt;, you&#039;ll be redirected to the admin.php file.&lt;br /&gt;\r\n&lt;br /&gt;\r\nTo modify (or delete) this message, enter in the administration zone and click on &lt;em&gt;messages&lt;/em&gt;.&lt;br /&gt;\r\n&lt;br /&gt;\r\n&lt;strong&gt;MemHT Portal resources:&lt;/strong&gt;&lt;br /&gt;\r\n- &lt;a href=&quot;http://downloads.memht.com&quot;&gt;Download&lt;/a&gt; new &lt;a href=&quot;http://addons.memht.com&quot;&gt;addons&lt;/a&gt; and &lt;a href=&quot;http://template.memht.com&quot;&gt;templates&lt;/a&gt;&lt;br /&gt;\r\n- &lt;a href=&quot;http://forums.memht.com&quot;&gt;Support&lt;/a&gt;: &lt;a href=&quot;http://www.memht.com/faq/&quot;&gt;F.A.Q.&lt;/a&gt; and &lt;a href=&quot;http://forums.memht.com&quot;&gt;Forums&lt;/a&gt;&lt;br /&gt;\r\n- &lt;a href=&quot;http://docs.memht.com&quot;&gt;Documents&lt;/a&gt;: &lt;a href=&quot;http://docs.memht.com&quot;&gt;Tutorials&lt;/a&gt; and &lt;a href=&quot;http://docs.memht.com&quot;&gt;How-To&lt;/a&gt;&lt;br /&gt;\r\n- &lt;a href=&quot;http://docs.memht.com&quot;&gt;Development&lt;/a&gt;', 'root', '2007-10-23 12:00:00', 0, 1);

-- 
-- Dump dei dati per la tabella `memht_mylinks`
-- 

INSERT INTO `memht_mylinks` (`id`, `cat`, `name`, `url`, `email`, `description`, `flag`) VALUES 
(1, 1, 'MemHT Portal', 'http://www.memht.com', 'webmaster@memht.com', 'MemHT Portal is a Free PHP CMS and Blog that permit the creation and the management online of websites with few and easy steps. It&#039;s completelly customizable, expandable and suitable for all needs.', 1);

-- 
-- Dump dei dati per la tabella `memht_mylinks_cat`
-- 

INSERT INTO `memht_mylinks_cat` (`id`, `parent`, `name`, `description`) VALUES 
(1, 0, 'My bookmarks', '');

-- 
-- Dump dei dati per la tabella `memht_mypage`
-- 

INSERT INTO `memht_mypage` (`id`, `title`, `text`, `author`, `date`, `hits`, `public`, `rank`, `enabled`) VALUES 
(1, 'Example page', 'Creating personalized pages has never been so easy&lt;br /&gt;\r\n&lt;br /&gt;\r\n&lt;strong&gt;Nel mezzo del cammi&lt;/strong&gt;n di nostra vita &lt;em&gt;mi ritrovai per un&lt;/em&gt;a selva oscura, ch&amp;eacute; la diritta via era smarrita. &lt;font color=&quot;#ff9900&quot;&gt;Ah quant&lt;/font&gt;o a dir qual era &amp;egrave; cosa dura, esta selva selv&lt;span style=&quot;background-color: rgb(204, 255, 255);&quot;&gt;aggia e aspr&lt;/span&gt;a e forte, che nel pensier rinnova la paura! Tant&amp;rsquo;&amp;egrave; a&lt;span style=&quot;background-color: rgb(255, 255, 0);&quot;&gt;mara che poco &amp;egrave; pi&amp;ugrave; &lt;/span&gt;morte; ma per trattar del ben ch&amp;rsquo;i&amp;rsquo; vi trovai dir&amp;ograve; de l&amp;rsquo;altre cose ch&amp;rsquo;i&amp;rsquo; v&amp;rsquo;ho scorte&lt;br /&gt;\r\n&lt;ul&gt;\r\n    &lt;li&gt;One&lt;/li&gt;\r\n    &lt;li&gt;Two&lt;/li&gt;\r\n    &lt;li&gt;Three&lt;/li&gt;\r\n    &lt;li&gt;Four&lt;/li&gt;\r\n&lt;/ul&gt;\r\nNel mezzo del cammin di nostra vita mi ritrovai per una selva oscura, ch&amp;eacute; la diritta via era smarrita. Ah quanto a dir qual era &amp;egrave; cosa dura, esta selva selvaggia e aspra e forte, che nel pensier rinnova la paura! Tant&amp;rsquo;&amp;egrave; amara che poco &amp;egrave; pi&amp;ugrave; morte; ma per trattar del ben ch&amp;rsquo;i&amp;rsquo; vi trovai dir&amp;ograve; de l&amp;rsquo;altre cose ch&amp;rsquo;i&amp;rsquo; v&amp;rsquo;ho scorteNel mezzo del cammin di nostra vita mi ritrovai per una selva oscura, ch&amp;eacute; la diritta via era smarrita. Ah quanto a dir qual era &amp;egrave; cosa dura, esta selva selvaggia e aspra e forte, che nel pensier rinnova la paura! &lt;br /&gt;\r\n&lt;br /&gt;\r\n&lt;a href=&quot;#&quot;&gt;This is a link&lt;/a&gt;&lt;br /&gt;\r\n&lt;br /&gt;\r\nTant&amp;rsquo;&amp;egrave; amara che poco &amp;egrave; pi&amp;ugrave; morte; ma per trattar del ben ch&amp;rsquo;i&amp;rsquo; vi trovai dir&amp;ograve; de l&amp;rsquo;altre cose ch&amp;rsquo;i&amp;rsquo; v&amp;rsquo;ho scorteNel mezzo del cammin di nostra vita mi ritrovai per una selva oscura, ch&amp;eacute; la diritta via era smarrita. Ah quanto a dir qual era &amp;egrave; cosa dura, esta selva selvaggia e aspra e forte, che nel pensier rinnova la paura! Tant&amp;rsquo;&amp;egrave; amara che poco &amp;egrave; pi&amp;ugrave; morte; ma per trattar del ben ch&amp;rsquo;i&amp;rsquo; vi trovai dir&amp;ograve; de l&amp;rsquo;altre cose ch&amp;rsquo;i&amp;rsquo; v&amp;rsquo;ho scorteNel mezzo del cammin di nostra vita mi ritrovai per una selva oscura, ch&amp;eacute; la diritta via era smarrita. Ah quanto a dir qual era &amp;egrave; cosa dura, esta selva selvaggia e aspra e forte, che nel pensier rinnova la paura! Tant&amp;rsquo;&amp;egrave; amara che poco &amp;egrave; pi&amp;ugrave; morte; ma per trattar del ben ch&amp;rsquo;i&amp;rsquo; vi trovai dir&amp;ograve; de l&amp;rsquo;altre cose ch&amp;rsquo;i&amp;rsquo; v&amp;rsquo;ho scorte', 'root', '2007-10-23 13:06:35', 1, 1, 0, 1);

-- 
-- Dump dei dati per la tabella `memht_navigator`
-- 

INSERT INTO `memht_navigator` (`id`, `position`, `type`, `content`, `html`, `icon`) VALUES 
(1, 1, 0, 'articles', '', ''),
(2, 2, 0, 'contact', '', ''),
(3, 3, 0, 'download', '', ''),
(4, 4, 0, 'faq', '', ''),
(5, 5, 0, 'forum', '', ''),
(6, 6, 0, 'gallery', '', ''),
(7, 7, 0, 'guide', '', ''),
(8, 8, 0, 'mylinks', '', ''),
(9, 9, 0, 'mypage', '', ''),
(10, 10, 0, 'news', '', ''),
(11, 11, 0, 'newsletter', '', ''),
(12, 12, 0, 'partners', '', ''),
(13, 13, 0, 'poisoner', '', ''),
(14, 14, 0, 'pvtmsg', '', ''),
(15, 15, 0, 'rss', '', ''),
(16, 16, 0, 'search', '', ''),
(17, 17, 0, 'sitemap', '', ''),
(18, 18, 0, 'staff', '', ''),
(19, 19, 0, 'submission', '', ''),
(21, 21, 0, 'surveys', '', ''),
(22, 22, 0, 'tags', '', ''),
(23, 23, 0, 'topics', '', ''),
(24, 24, 0, 'users', '', '');

-- 
-- Dump dei dati per la tabella `memht_news`
-- 

INSERT INTO `memht_news` (`id`, `argomento`, `nome`, `testo_home`, `testo`, `autore`, `email`, `data`, `hits`, `enabled`) VALUES 
(1, 1, 'Example news', '&lt;strong&gt;Nel mezzo del cammin&lt;/strong&gt; di nostra vita mi &lt;em&gt;ritrovai per una selva oscura&lt;/em&gt;, ch&amp;eacute; la diritta via era smarrita. Ah quanto a dir qual era &amp;egrave; cosa dura, esta selva selvaggia e aspra e forte, che nel pensier rinnova la paura! Tant&amp;rsquo;&amp;egrave; amara che poco &amp;egrave; pi&amp;ugrave; morte; ma per trattar del ben ch&amp;rsquo;i&amp;rsquo; vi trovai dir&amp;ograve; de l&amp;rsquo;altre cose ch&amp;rsquo;i&amp;rsquo; v&amp;rsquo;ho scorte', 'Nel mezzo del cammin di nostra vita mi ritrovai per una selva oscura, ch&amp;eacute; la diritta via era smarrita. Ah quanto a dir qual era &amp;egrave; cosa dura, esta selva selvaggia e aspra e forte, che nel pensier rinnova la paura! Tant&amp;rsquo;&amp;egrave; amara che poco &amp;egrave; pi&amp;ugrave; morte; ma per trattar del ben ch&amp;rsquo;i&amp;rsquo; vi trovai dir&amp;ograve; de l&amp;rsquo;altre cose ch&amp;rsquo;i&amp;rsquo; v&amp;rsquo;ho scorte&lt;br /&gt;\r\n&lt;br /&gt;\r\nNel mezzo del cammin di nostra vita mi ritrovai per una selva oscura, ch&amp;eacute; la diritta via era smarrita. Ah quanto a dir qual era &amp;egrave; cosa dura, esta selva selvaggia e aspra e forte, che nel pensier rinnova la paura! Tant&amp;rsquo;&amp;egrave; amara che poco &amp;egrave; pi&amp;ugrave; morte; ma per trattar del ben ch&amp;rsquo;i&amp;rsquo; vi trovai dir&amp;ograve; de l&amp;rsquo;altre cose ch&amp;rsquo;i&amp;rsquo; v&amp;rsquo;ho scorte', 'root', 'test@localhost.com', '2007-10-23 12:00:00', 1, 1);

-- 
-- Dump dei dati per la tabella `memht_pagine`
-- 

INSERT INTO `memht_pagine` (`id`, `nome`, `titolo`, `description`, `keywords`, `fullscreen`, `rank`, `enabled`) VALUES 
(1, 'archive', 'Archive', '', '', 0, 0, 1),
(2, 'articles', 'Articles', '', '', 1, 0, 1),
(3, 'banners', 'Banners', '', '', 0, 0, 1),
(4, 'contact', 'Contact Us', '', '', 0, 0, 1),
(5, 'download', 'Download', '', '', 1, 0, 1),
(6, 'error', 'Error', '', '', 0, 0, 1),
(7, 'faq', 'F.A.Q.', '', '', 1, 0, 1),
(8, 'forum', 'Forum', '', '', 1, 0, 1),
(9, 'gallery', 'Gallery', '', '', 1, 0, 1),
(10, 'guide', 'Guide', '', '', 1, 0, 1),
(11, 'messages', 'Messages', '', '', 0, 0, 1),
(12, 'mylinks', 'MyLinks', '', '', 1, 0, 1),
(13, 'mypage', 'MyPage', '', '', 1, 0, 1),
(14, 'news', 'News', '', '', 1, 0, 1),
(15, 'newsletter', 'Newsletter', '', '', 0, 0, 1),
(16, 'partners', 'Partners', '', '', 1, 0, 1),
(17, 'poisoner', 'Poisoner', '', '', 0, 0, 1),
(18, 'pvtmsg', 'Private Messages', '', '', 1, 1, 1),
(19, 'rss', 'RSS Feeds', '', '', 0, 0, 1),
(20, 'search', 'Search', '', '', 1, 0, 1),
(21, 'submission', 'Submission', '', '', 1, 0, 1),
(23, 'sitemap', 'Sitemap', '', '', 1, 0, 1),
(24, 'staff', 'Staff', '', '', 1, 0, 1),
(25, 'surveys', 'Surveys', '', '', 0, 0, 1),
(26, 'tags', 'Tags', '', '', 1, 0, 1),
(27, 'topics', 'Topics', '', '', 1, 0, 1),
(28, 'users', 'User Page', '', '', 1, 0, 1),
(29, 'blog', 'Blog', '', '', 1, 0, 1);

-- 
-- Dump dei dati per la tabella `memht_partners`
-- 

INSERT INTO `memht_partners` (`id`, `nome_sito`, `url_sito`, `email`) VALUES 
(1, 'MemHT Portal', 'http://www.memht.com', 'webmaster@memht.com');

-- 
-- Dump dei dati per la tabella `memht_ratings`
-- 

INSERT INTO `memht_ratings` (`id`, `whr`, `wid`, `vote`, `ip`) VALUES 
(1, 5, 1, 4, '127.0.0.1');

-- 
-- Dump dei dati per la tabella `memht_rssreader_links`
-- 

INSERT INTO `memht_rssreader_links` (`id`, `title`, `link`, `inblock`) VALUES 
(1, 'MemHT Portal', 'http://www.memht.com/rss-news.xml', 1),
(2, 'ScripTips.com', 'http://www.scriptips.com/rss.php', 0),
(3, 'MSNBC Top Headlines', 'http://rss.msnbc.msn.com/id/3032091/device/rss/rss.xml', 0),
(4, 'Il Sole 24 Ore - Prima Pagina', 'http://www.ilsole24ore.com/rss/primapagina.xml', 0),
(5, 'Il Sole 24 Ore - Norme e Tributi', 'http://www.ilsole24ore.com/rss/norme-tributi.xml', 0),
(6, 'Il Sole 24 Ore - Finanza e Mercati', 'http://www.ilsole24ore.com/rss/finanza-mercati.xml', 0),
(7, 'Il Sole 24 Ore - Tecnologia e Business', 'http://www.ilsole24ore.com/rss/tecnologia-business.xml', 0),
(8, 'Il Sole 24 Ore - Fisco e Contabilita', 'http://www.ilsole24ore.com/rss/prof_fisco.xml', 0),
(9, 'Financial Times - Europe', 'http://www.ft.com/rss/home/europe', 0),
(10, 'Financial Times - US', 'http://www.ft.com/rss/home/us', 0),
(11, 'Repubblica.it', 'http://www.repubblica.it/rss/homepage/rss2.0.xml', 0),
(12, 'Corriere.it', 'http://www.corriere.it/rss/homepage.xml', 0),
(13, 'NewYork Times', 'http://graphics8.nytimes.com/services/xml/rss/nyt/HomePage.xml', 0),
(14, 'La Gazzetta dello Sport', 'http://www.gazzetta.it/rss/Home.xml', 0),
(15, 'The Guardian', 'http://www.guardian.co.uk/rss', 0),
(16, 'Le Figaro', 'http://rss.lefigaro.fr/lefigaro/laune', 0),
(17, 'Le Monde', 'http://www.lemonde.fr/rss/sequence/0,2-3208,1-0,0.xml', 0),
(18, 'Ansa.it', 'http://www.ansa.it/site/notizie/awnplus/topnews/synd/ansait_site_topnews_synd_Today_Idx.xml', 0),
(19, 'Telegraph.co.uk', 'http://www.telegraph.co.uk/newsfeed/rss/news_breaking.xml', 0),
(20, 'Times.co.uk', 'http://www.timesonline.co.uk/tol/feeds/rss/topstories.xml', 0),
(21, 'UsaToday.com', 'http://rssfeeds.usatoday.com/usatoday-NewsTopStories', 0),
(22, 'The Wall Street Journal', 'http://feeds.wsjonline.com/wsj/xml/rss/3_7011.xml', 0),
(23, 'El Mundo.es', 'http://rss.elmundo.es/rss/descarga.htm?data2=4', 0),
(24, 'El Pais.com', 'http://www.elpais.com/rss.html', 0),
(25, 'Welt.de', 'http://www.welt.de/?service=Rss', 0),
(26, 'Yahoo! News: Top Stories', 'http://rss.news.yahoo.com/rss/topstories', 0);

-- 
-- Dump dei dati per la tabella `memht_smiles`
-- 

INSERT INTO `memht_smiles` (`title`, `img`, `code`) VALUES 
('Smile', 'smile_smile.gif', ':)'),
('BigGrin', 'smile_biggrin.gif', ':D'),
('Sad', 'smile_sad.gif', ':('),
('Wink', 'smile_wink.gif', ';)'),
('Razz', 'smile_razz.gif', ':P'),
('Evil', 'smile_evil.gif', ':evil:'),
('Surprised', 'smile_eek.gif', 'O_O'),
('Ops', 'smile_redface.gif', ':ops:'),
('Boss', 'smile_boss.gif', ':boss:'),
(':|', 'smile_wtf.gif', ':|'),
('InLove', 'smile_inlove.gif', ':inlove:'),
('Kiss', 'smile_kiss.gif', ':kiss:'),
('Nerd', 'smile_nerd.gif', ':nerd:'),
('Angry', 'smile_angry.gif', ':angry:'),
('Bad', 'smile_bad.gif', ':bad:'),
('NoComment', 'smile_nocomment.gif', ':nc:'),
('Sick', 'smile_sick.gif', ':sick:'),
('Uhm', 'smile_uhm.gif', ':uhm:'),
('Ciao', 'word_ciao.gif', ':ciao:'),
('Hello', 'word_hello.gif', ':hello:'),
('Hi', 'word_hi.gif', ':hi:'),
('help', 'word_help.gif', ':help:'),
('Code', 'word_code.gif', ':code:'),
('Quote', 'word_quote.gif', ':quote:');

-- 
-- Dump dei dati per la tabella `memht_spider_ranges`
-- 

INSERT INTO `memht_spider_ranges` VALUES(4, 'Google', 64233160000, 64233191255);
INSERT INTO `memht_spider_ranges` VALUES(3, 'Google', 66249064000, 66249095255);
INSERT INTO `memht_spider_ranges` VALUES(5, 'MSN', 207046000255, 207046255255);
INSERT INTO `memht_spider_ranges` VALUES(6, 'Google', 72014192000, 72014255255);
INSERT INTO `memht_spider_ranges` VALUES(7, 'MSN', 65052000000, 65055255255);
INSERT INTO `memht_spider_ranges` VALUES(8, 'MSN', 64004000000, 64004063255);
INSERT INTO `memht_spider_ranges` VALUES(9, 'Yahoo', 68142192000, 68142255255);
INSERT INTO `memht_spider_ranges` VALUES(10, 'Yahoo', 72030000000, 72030255255);
INSERT INTO `memht_spider_ranges` VALUES(11, 'Yahoo', 74006000000, 74006255255);
INSERT INTO `memht_spider_ranges` VALUES(12, 'Yahoo', 66228160000, 66228191255);
INSERT INTO `memht_spider_ranges` VALUES(13, 'Archive.org', 208070024255, 208070031255);
INSERT INTO `memht_spider_ranges` VALUES(16, 'Cazoodle', 36115076, 36115078);
INSERT INTO `memht_spider_ranges` VALUES(17, 'SiteSell', 64034145192, 64034145207);
INSERT INTO `memht_spider_ranges` VALUES(18, 'VisBot', 72249060074, 72249060074);
INSERT INTO `memht_spider_ranges` VALUES(19, 'Entireweb', 88131106009, 88131153091);
INSERT INTO `memht_spider_ranges` VALUES(20, 'Alexa', 209237238172, 209237238237);
INSERT INTO `memht_spider_ranges` VALUES(21, 'Alexa', 64208172172, 64208172181);
INSERT INTO `memht_spider_ranges` VALUES(22, 'Alexa', 64213203144, 64213203147);
INSERT INTO `memht_spider_ranges` VALUES(23, 'Alexa', 64208172208, 64208172208);
INSERT INTO `memht_spider_ranges` VALUES(24, 'Alexa', 64213203055, 64213203055);
INSERT INTO `memht_spider_ranges` VALUES(25, 'Ask Jeeves', 65214045140, 65214045140);
INSERT INTO `memht_spider_ranges` VALUES(26, 'Twiceler', 38099013121, 38099013126);
INSERT INTO `memht_spider_ranges` VALUES(27, 'Twiceler', 38099044101, 38099044106);
INSERT INTO `memht_spider_ranges` VALUES(28, 'Twiceler', 64001215162, 64001215166);
INSERT INTO `memht_spider_ranges` VALUES(29, 'Twiceler', 208036144006, 208036144010);
INSERT INTO `memht_spider_ranges` VALUES(30, 'Baidu', 122152128000, 122152129255);
INSERT INTO `memht_spider_ranges` VALUES(31, 'DiscovEng', 208096000000, 208096063255);
INSERT INTO `memht_spider_ranges` VALUES(32, 'Cazoodle', 72036115052, 72036115053);
INSERT INTO `memht_spider_ranges` VALUES(33, 'PicSearch', 217212224128, 217212224255);
INSERT INTO `memht_spider_ranges` VALUES(34, 'Mechanize', 68124030088, 68124030088);
INSERT INTO `memht_spider_ranges` VALUES(35, 'Boitho', 129241050032, 129241104189);
INSERT INTO `memht_spider_ranges` VALUES(36, 'Centiverse', 87072214093, 87072214093);
INSERT INTO `memht_spider_ranges` VALUES(37, 'Shelob', 208223208181, 208223208181);
INSERT INTO `memht_spider_ranges` VALUES(38, 'CuWhois', 62043189167, 62043189167);
INSERT INTO `memht_spider_ranges` VALUES(39, 'WorioBot', 207023252129, 207023252129);
INSERT INTO `memht_spider_ranges` VALUES(40, 'RSSMicro', 209216063055, 209216063055);
INSERT INTO `memht_spider_ranges` VALUES(41, 'NetSeer', 67202023022, 67202026106);
INSERT INTO `memht_spider_ranges` VALUES(42, 'Pingdom', 209062082012, 209062082012);
INSERT INTO `memht_spider_ranges` VALUES(43, 'YahooRss', 66196064000, 66196127255);
INSERT INTO `memht_spider_ranges` VALUES(44, 'Moreover', 65199034069, 65199034069);
INSERT INTO `memht_spider_ranges` VALUES(45, 'Maplog.jp', 58090049237, 58090049237);
INSERT INTO `memht_spider_ranges` VALUES(46, 'BluePulse', 64158138084, 64158138084);
INSERT INTO `memht_spider_ranges` VALUES(47, 'BlogPeople', 202213200170, 202213200170);
INSERT INTO `memht_spider_ranges` VALUES(48, 'SphereScout', 64040117047, 64040117047);
INSERT INTO `memht_spider_ranges` VALUES(49, 'Technorati', 208066064000, 208066067255);
INSERT INTO `memht_spider_ranges` VALUES(50, 'Blog360.jp', 122001111163, 122001111163);
INSERT INTO `memht_spider_ranges` VALUES(51, 'Weblogues', 213251133117, 213251133117);
INSERT INTO `memht_spider_ranges` VALUES(52, 'Ask.jp', 221253190236, 221253190236);
INSERT INTO `memht_spider_ranges` VALUES(53, 'IceRocket', 206196125100, 206196125100);
INSERT INTO `memht_spider_ranges` VALUES(54, 'Goo.ne.jp', 210165009064, 210165009064);
INSERT INTO `memht_spider_ranges` VALUES(55, 'Ask.jp', 221186129224, 221186129224);
INSERT INTO `memht_spider_ranges` VALUES(56, 'W3SiteSearch.de', 81169185039, 81169185039);
INSERT INTO `memht_spider_ranges` VALUES(57, 'Baidu', 61135166102, 61135166231);
INSERT INTO `memht_spider_ranges` VALUES(58, 'TopSubmit.de', 212227118010, 212227118010);
INSERT INTO `memht_spider_ranges` VALUES(59, 'Gigablast', 38114104143, 38114104143);
INSERT INTO `memht_spider_ranges` VALUES(60, 'vBSEO', 74052110228, 74052110228);
INSERT INTO `memht_spider_ranges` VALUES(61, 'SnapPreviewBot', 38098019067, 38098019067);
INSERT INTO `memht_spider_ranges` VALUES(62, 'SnapPreviewBot', 38098019111, 38098019114);
INSERT INTO `memht_spider_ranges` VALUES(63, 'Semager.de', 12114209250, 12114209250);
INSERT INTO `memht_spider_ranges` VALUES(64, 'Gigablast', 66231189150, 66231189150);
INSERT INTO `memht_spider_ranges` VALUES(65, 'Boitho', 213179039227, 213179039227);
INSERT INTO `memht_spider_ranges` VALUES(66, 'Baidu', 220181038189, 220181038189);
INSERT INTO `memht_spider_ranges` VALUES(67, 'Voyager', 38113234180, 38113234180);
INSERT INTO `memht_spider_ranges` VALUES(68, 'Cazoodle', 72036064000, 72036127255);
INSERT INTO `memht_spider_ranges` VALUES(69, 'SurveyBot', 64246161190, 64246161190);
INSERT INTO `memht_spider_ranges` VALUES(70, 'SurveyBot', 64246165050, 64246165140);
INSERT INTO `memht_spider_ranges` VALUES(71, 'Baidu', 60028017044, 60028017044);
INSERT INTO `memht_spider_ranges` VALUES(72, 'Majestic12.co.uk', 80117099076, 80117099076);
INSERT INTO `memht_spider_ranges` VALUES(73, 'Voila', 81052143015, 81052143015);
INSERT INTO `memht_spider_ranges` VALUES(74, 'Acoon', 80237153101, 80237153101);
INSERT INTO `memht_spider_ranges` VALUES(75, 'Yahoo', 206190032000, 206190063255);
INSERT INTO `memht_spider_ranges` VALUES(76, 'Geourl.org', 216052237214, 216052237214);
INSERT INTO `memht_spider_ranges` VALUES(77, 'Moreover', 72013032007, 72013032007);
INSERT INTO `memht_spider_ranges` VALUES(78, 'Maplog.jp', 219162093155, 219162093155);
INSERT INTO `memht_spider_ranges` VALUES(79, 'Pingoat', 67015024061, 67015024061);
INSERT INTO `memht_spider_ranges` VALUES(80, 'Google', 74125000000, 74125255255);

-- 
-- Dump dei dati per la tabella `memht_survey`
-- 

INSERT INTO `memht_survey` (`id`, `question`, `date`, `usecomments`, `enabled`) VALUES 
(1, 'Do you like this site?', '2007-10-23 12:00:00', 1, 1);

-- 
-- Dump dei dati per la tabella `memht_survey_data`
-- 

INSERT INTO `memht_survey_data` (`id`, `surveyid`, `answer`, `votes`) VALUES 
(1, 1, 'It&#039;s great!', 1),
(2, 1, 'Very nice', 0),
(3, 1, 'Just a site', 0),
(4, 1, 'Not really', 0),
(5, 1, 'Trash it!', 0);


-- 
-- Dump dei dati per la tabella `memht_tags`
-- 

INSERT INTO `memht_tags` (`tag`, `cid`, `whr`) VALUES 
('article', 1, 1),
('example', 1, 1),
('example', 1, 3),
('news', 1, 3),
('example', 1, 4),
('file', 1, 4);

-- 
-- Dump dei dati per la tabella `memht_virtualpages`
-- 

INSERT INTO `memht_virtualpages` (`id`, `name`, `title`, `content`, `description`, `keywords`, `version`, `updatefrom`, `xmlfile`, `fullscreen`, `rank`, `enabled`) VALUES (1, 'example', 'Example', 'echo &quot;This is an example of a PHP Virtual Addon. Try updating it automatically from the administration zone.&quot;;', '', '', 100, 'http://www.memht.com/update/xml/addons/test/example.xml', '', 0, 0, 1);

--
-- Dump dei dati per la tabella `memht_groups`
--

INSERT INTO `memht_groups` (`id`, `name`, `type`, `amount`) VALUES (1, 'Moderators', 0, 0);

--
-- Dump dei dati per la tabella `memht_groups_members`
--

INSERT INTO `memht_groups_members` (`id`, `groupid`, `user`, `permanent`, `joined`, `expire`, `type`, `standby`, `note`) VALUES (1, 1, 1, 1, '2001-01-01 00:00:00', '0000-00-00 00:00:00', 0, 0, '');

--
-- Dump dei dati per la tabella `memht_forum_moderation`
--

INSERT INTO `memht_forum_moderation` (`forum`, `groupid`) VALUES (1, 1);